Skip to main content

## ProvidedValue

# Type Alias ProvidedValue

Source

    pub type ProvidedValue<'tcx> = Value<'tcx>;

Expand description

Type returned from query providers and loaded from disk-cache.

## Aliased Type§

    pub enum ProvidedValue<'tcx> {
        Const {
            always: bool,
        },
        NotConst,
    }

## Variants§

§

### Const

#### Fields

§`always: bool`
§

### NotConst

## Layout§

Note: Most layout information is completely unstable and may even differ between compilations. The only exception is types with certain `repr(...)` attributes. Please see the Rust Reference's “Type Layout” chapter for details on type layout guarantees.

Size: 1 byte

Size for each variant:

- `Const`: 1 byte
- `NotConst`: 0 bytes